package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 充值页面 审核状态
 *
 * @Description:
 * @Author: ljc
 * @Time: 2023/2/28 16:34
 * @Classname: EApproveRechargeStatus
 * @Package_name: com.hzs.common.core.enums
 */
@Getter
@AllArgsConstructor
public enum EApproveRechargeStatus  {

    /**
     * 待提交
     */
    SUBMIT(0, "待提交", EnumsPrefixConstants.APPROVE_RECHARGE_OPERATION + "0"),

    /**
     * 待审核
     */
    WAIT(1, "待审核", EnumsPrefixConstants.APPROVE_RECHARGE_OPERATION + "1"),

    /**
     * 通过
     */
    AGREE(2, "审核通过", EnumsPrefixConstants.APPROVE_RECHARGE_OPERATION + "2"),

    /**
     * 驳回
     */
    REJECT(3, "审核驳回", EnumsPrefixConstants.APPROVE_RECHARGE_OPERATION + "3");


    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;

    public static EApproveRechargeStatus getApproveRechargeStatus(int value ){
        for (EApproveRechargeStatus approveRechargeStatus : EApproveRechargeStatus.values()) {
            if (approveRechargeStatus.getValue() == value){
                return approveRechargeStatus;
            }
        }
        return null;
    }
}
